EPEL全称Extra Packages for Enterprise Linux,官方翻译为 企业版 Linux 附加软件包。顾名思义,他可以扩充你的软件库,安装很多软件时能省去很多时间。比如最近很火的PHP的DoS漏洞,Bug 61461,在EPEL下面只需要一条命令就能将PHP升级为5.9,避免重新编。

老高推荐新安装的centos系统都先安装此附加软件包!

安装命令:

yum install epel-release

没有报错的话,那么EPEL就安装完毕了。

如果上述命令还是解决不了问题,那就必须有针对性的安装了。

以下命令复制自Install EPEL and additional repositories on CentOS and Red Hat

#CentOS and Red Hat Enterprise Linux 5.x

wget http://dl.fedoraproject.org/pub/epel/5/x86_64/epel-release-5-4.noarch.rpm
rpm -Uvh epel-release-5*.rpm

#CentOS and Red Hat Enterprise Linux 6.x

wget http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
rpm -Uvh epel-release-6*.rpm

#CentOS and Red Hat Enterprise Linux 7.x

wget http://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-5.noarch.rpm
rpm -Uvh epel-release-7*.rpm

你还可以在此查看每个系统对应的最新的EPEL版本

标签: PHP, centos, epel

已有 3 条评论

  1. fromlazy fromlazy

    搬瓦工 centos 6, 用epel怎么装的php还是5.3,能升级吗

    1. 不应该,应该是没有修改成功!

      1. fromlazy fromlazy

        1、按你给的优惠码购买 搬瓦工 $19 那个
        2、后台更换为 centos 6 min
        3、按其他网站,装了vpn(pptd),能用
        4、后台装了ss,能用
        5、在看到你的这篇文章之前,就按搜到的epel教程操作过
        安装命令也是 yum install epel-release
        后续安装的lemp版本如下:
        mysql 5.1.73
        nginx 1.0.15
        php 5.3.3
        叫人崩溃啊。

        已经yum remove 以上三个软件。

        php业余爱好者,还不太明白linux,都是按你的博客和网上的教程来的,如果可以,我把密码发给你,帮我看一下?

        1. 不应该…为啥不用centos7呢?

          1. fromlazy fromlazy

            主要是为了用ss,一键安装只支持cent os 6。不太会安装linux软件。我在慢慢折腾把,谢谢老高了。

  2. Stirp Stirp

    老高,我是从小道消息看过来的,发现你真是高产呀,天天都有文章。 只是我平常工作比较忙,不知道有没有rss可以订阅呀?这样可以方便离线查阅,3Q~

    1. AS YOU WISH,网页侧边栏已加入RSS订阅地址

    2. Stirp Stirp

      cool!

添加新评论